--- kfax/libtiffax/tiff.h.orig	Fri Apr  5 12:51:25 2002
+++ kfax/libtiffax/tiff.h	Fri Apr  5 12:51:45 2002
@@ -50,15 +50,22 @@
  * 32-bit quantities	int32/uint32
  * strings		unsigned char*
  */
-typedef	signed char int8;	/* NB: non-ANSI compilers may not grok */
+#ifdef _AIX
+#include <sys/inttypes.h>
+#else
+  typedef      signed char int8;       /* NB: non-ANSI compilers may not grok */
+  typedef      short int16;
+# if defined(__alpha) || (defined(_MIPS_SZLONG) && _MIPS_SZLONG == 64)
+  typedef      int int32;
+# else
+  typedef      long int32;
+# endif
+#endif /* _AIX */
 typedef	unsigned char uint8;
-typedef	short int16;
 typedef	unsigned short uint16;	/* sizeof (uint16) must == 2 */
 #if defined(__alpha) || (defined(_MIPS_SZLONG) && _MIPS_SZLONG == 64)
-typedef	int int32;
 typedef	unsigned int uint32;	/* sizeof (uint32) must == 4 */
 #else
-typedef	long int32;
 typedef	unsigned long uint32;	/* sizeof (uint32) must == 4 */
 #endif
 
--- kdvi/Makefile.am.orig	Fri Apr  5 14:34:56 2002
+++ kdvi/Makefile.am	Fri Apr  5 14:34:29 2002
@@ -20,6 +20,7 @@
 
 libkdvi_la_LDFLAGS = $(all_libraries) $(KDE_PLUGIN)
 libkdvi_la_LIBADD = $(LIB_KPARTS) -lkdeprint \
+			$(top_builddir)/kviewshell/libkviewerpart.la \
 			$(top_builddir)/kviewshell/libkmultipage.la
 
 # Which sources should be compiled for squeeze.
--- kviewshell/Makefile.am.orig	Fri Apr  5 12:24:25 2002
+++ kviewshell/Makefile.am	Fri Apr  5 12:24:52 2002
@@ -9,7 +9,7 @@
 
 libkviewerpart_la_SOURCES = kviewpart.cpp marklist.cpp scrollbox.cpp gotodialog.cpp qttableview.cpp
 libkviewerpart_la_LDFLAGS = $(all_libraries) $(KDE_PLUGIN)
-libkviewerpart_la_LIBADD = $(LIB_KFILE) -lkparts
+libkviewerpart_la_LIBADD = $(LIB_KFILE) -lkparts libkmultipage.la
 
 libkmultipage_la_SOURCES = kmultipage.cpp centeringScrollview.cpp kmultipageInterface.skel
 libkmultipage_la_LDFLAGS = $(all_libraries)
